# $Revision: 1.36 $, $Date: 2006/11/30 22:03:35 $
#
# Conditional build:
%bcond_without	doc	# don't build documentation
%bcond_with	tests	# perform "make check"
#
Summary:	Application access to USB devices
Summary(es):	libusb - Biblioteca USB
Summary(pl):	Dostp z poziomu aplikacji do urzdze USB
Summary(pt_BR):	libusb - Biblioteca para acesso a devices USB
Name:		libusb
Version:	0.1.12
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libusb/%{name}-%{version}.tar.gz
# Source0-md5:	caf182cbc7565dac0fd72155919672e6
URL:		http://libusb.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7.6
%if %{with doc}
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	doxygen
BuildRequires:	openjade
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
Obsoletes:	libusb0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a library for application access to USB devices.

%description -l es
Biblioteca de uso en devices USB.

%description -l pl
Biblioteka umoliwiajca dostp do urzdze USB z poziomu aplikacji.

%description -l pt_BR
Biblioteca para acesso em devices USB.

%package devel
Summary:	Header files for libusb library
Summary(es):	Archivos de desarrollo de libusb
Summary(pl):	Pliki nagwkowe biblioteki libusb
Summary(pt_BR):	Arquivos de desenvolvimento da libusb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libusb0.1-devel

%description devel
This package contains header files and other resources you can use to
incorporate libusb into applications.

%description devel -l es
Bibliotecas de desarrolo para linusb.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja pozwalajca na dodawanie obsugi
USB w swoich programach.

%description devel -l pt_BR
Bibliotecas de desenvolvimento para libusb.

%package static
Summary:	libusb static libraries
Summary(es):	Archivos de desarrollo de libusb - estatico
Summary(pl):	Statyczne biblioteki do obsugi USB
Summary(pt_BR):	Arquivos de desenvolvimento da libusb - biblioteca esttica
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libusb libraries.

%description static -l es
Bibliotecas de desarrolo para linusb - estatico.

%description static -l pl
Statyczne biblioteki libusb.

%description static -l pt_BR
Bibliotecas de desenvolvimento para libusb - esttico.

%package -n libusbpp
Summary:	C++ bindings for libusb
Summary(pl):	Wizania C++ dla libusb
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n libusbpp
C++ bindings for libusb based on Qt.

%description -n libusbpp -l pl
Wizania C++ dla libusb oparte na Qt.

%package -n libusbpp-devel
Summary:	Header files for libusbpp library
Summary(pl):	Pliki nagwkowe biblioteki libusbpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libusbpp = %{version}-%{release}
Requires:	libstdc++-devel

%description -n libusbpp-devel
Header files for libusbpp library.

%description -n libusbpp-devel -l pl
Pliki nagwkowe biblioteki libusbpp.

%package -n libusbpp-static
Summary:	Static libusbpp library
Summary(pl):	Statyczna biblioteka libusbpp
Group:		Development/Libraries
Requires:	libusbpp-devel = %{version}-%{release}

%description -n libusbpp-static
Static libusbpp library.

%description -n libusbpp-static -l pl
Statyczna biblioteka libusbpp.

%prep
%setup -q

# docbook 4.1 is sufficient (for 4.2 we have only DocBook XML packaged)
%{__perl} -pi -e 's/DocBook V4\.2/DocBook V4.1/' doc/manual.sgml

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
%{?with_tests:%{__make} check}

%{?with_doc:doxygen}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   -n libusbpp -p /sbin/ldconfig
%postun -n libusbpp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README
%attr(755,root,root) %{_libdir}/libusb-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc doc/html/*}
%attr(755,root,root) %{_bindir}/libusb-config
%attr(755,root,root) %{_libdir}/libusb.so
%{_libdir}/libusb.la
%{_includedir}/usb.h
%{_pkgconfigdir}/libusb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libusb.a

%files -n libusbpp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libusbpp-*.so.*.*.*

%files -n libusbpp-devel
%defattr(644,root,root,755)
%{?with_doc:%doc apidocs/html/*}
%attr(755,root,root) %{_libdir}/libusbpp.so
%{_libdir}/libusbpp.la
%{_includedir}/usbpp.h

%files -n libusbpp-static
%defattr(644,root,root,755)
%{_libdir}/libusbpp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libusb.spec,v $
Revision 1.36  2006/11/30 22:03:35  arekm
- rel 3

Revision 1.35  2006/11/29 23:01:28  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.34  2006/04/28 19:51:57  sparky
- put doc BRs in %if %{with doc}

Revision 1.33  2006/03/04 20:43:22  qboosh
- updated to 0.1.12, removed obsolete gcc4,urb patches

Revision 1.32  2006/02/11 13:54:11  freetz
- restroed urb patch - is *NOT* obsoleted yet, rel.3

Revision 1.31  2006/01/23 19:42:44  qboosh
- package libusb.pc

Revision 1.30  2006/01/22 19:06:54  pluto
- oops, tests won't work proper in chroot. bcond added.

Revision 1.29  2006/01/22 18:58:57  pluto
- updated to 0.1.11.

Revision 1.28  2006/01/07 13:42:31  freetz
- added urb patch - hack to get threaded apps working again/make use of
  new /dev/bus/usb interface introduced in linux 2.6.14

Revision 1.27  2005/12/09 13:55:08  sparky
- without doc bcond

Revision 1.26  2005/05/05 08:05:19  adamg
- reverted

Revision 1.25  2005/05/05 07:21:32  adamg
- rebuild with -fPIC

Revision 1.24  2005/02/27 22:09:06  qboosh
- updated to 0.1.10a

Revision 1.23  2005/02/12 14:03:04  qboosh
- updated to 0.1.10 (no more qt, standard library is used)
- removed obsolete link patch

Revision 1.22  2005/02/05 20:45:14  qboosh
- updated to 0.1.9 (Linux USB improvements, initial C++ binding)

Revision 1.21  2004/02/12 20:59:34  qboosh
- strict internal deps, BRs for docs (openjade+dtd31+dsssl)

Revision 1.20  2004/02/12 20:33:16  grzegol
- updated to 0.1.8
- removed outdated acfix patch

Revision 1.19  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.18  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:50:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/07 23:07:41  qboosh
- 0.1.7, added acfix patch, removed obsolete am15 patch

Revision 1.15  2002/11/25 14:17:07  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/09/05 16:04:50  misiek
- updated to 0.1.6a

Revision 1.13  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:01  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
  		s/^automake -a -c -f/\%\{__automake\}/; \
  		s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/14 03:43:34  kloczek
- updated to 0.1.5 (bugfix release),
- added am15 patch.

Revision 1.8  2002/01/18 02:13:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/08 16:46:50  kloczek
- reelase 4.

Revision 1.6  2001/12/08 11:57:33  blues
- merge some translations from CNV
- license is LGPL

Revision 1.5  2001/12/07 19:39:48  qboosh
- adapterized, cosmetics, fixed -devel en description
- release 3

Revision 1.4  2001/10/06 13:23:43  filon
- changed requires from %{name} to %{name}-devel in static
- release 2

Revision 1.3  2001/08/10 23:52:04  kloczek
- updated to 0.1.3b,
- removed outdated comment patch,
- new Source url.

Revision 1.2  2001/08/06 08:10:19  kloczek
- updated Source url.

Revision 1.1  2001/08/05 20:51:38  misiek
- initial pld release
